package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CompanyType;


/**
*  service接口类
*/
public interface CompanyTypeService{

    List<CompanyType> getCompanyTypeList(CompanyType record);

    List<CompanyType> getCompanyTypeByPage(Page page, CompanyType record);

    CompanyType getCompanyTypeById(String id);

    CompanyType getCompanyType(CompanyType record);

    boolean createCompanyType(CompanyType record);

    boolean deleteCompanyType(String id);

    boolean updateCompanyType(CompanyType record);
}

